Package org.flowable.bpmn.model

# Class ReceiveTask

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FlowElement
org.flowable.bpmn.model.FlowNode
org.flowable.bpmn.model.Activity
org.flowable.bpmn.model.Task
org.flowable.bpmn.model.ReceiveTask

All Implemented Interfaces:
  `HasExecutionListeners`, `HasExtensionAttributes`

public class ReceiveTask extends Task

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `skipExpression`

  ### Fields inherited from class org.flowable.bpmn.model.Activity

  `boundaryEvents, dataInputAssociations, dataOutputAssociations, defaultFlow, failedJobRetryTimeCycleValue, forCompensation, ioSpecification, loopCharacteristics, mapExceptions`

  ### Fields inherited from class org.flowable.bpmn.model.FlowNode

  `asynchronous, asynchronousLeave, asynchronousLeaveNotExclusive, behavior, incomingFlows, notExclusive, outgoingFlows`

  ### Fields inherited from class org.flowable.bpmn.model.FlowElement

  `documentation, executionListeners, name, parentContainer`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReceiveTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReceiveTask`
  `clone()`
  `String`
  `getSkipExpression()`
  `void`
  `setSkipExpression(String skipExpression)`
  `void`
  `setValues(ReceiveTask otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.Activity

  `getBoundaryEvents, getDataInputAssociations, getDataOutputAssociations, getDefaultFlow, getFailedJobRetryTimeCycleValue, getIoSpecification, getLoopCharacteristics, getMapExceptions, hasMultiInstanceLoopCharacteristics, isForCompensation, setBoundaryEvents, setDataInputAssociations, setDataOutputAssociations, setDefaultFlow, setFailedJobRetryTimeCycleValue, setForCompensation, setIoSpecification, setLoopCharacteristics, setMapExceptions, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowNode

  `getBehavior, getIncomingFlows, getOutgoingFlows, isAsynchronous, isAsynchronousLeave, isAsynchronousLeaveExclusive, isAsynchronousLeaveNotExclusive, isExclusive, isNotExclusive, setAsynchronous, setAsynchronousLeave, setAsynchronousLeaveExclusive, setAsynchronousLeaveNotExclusive, setBehavior, setExclusive, setIncomingFlows, setNotExclusive, setOutgoingFlows, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.FlowElement

  `getDocumentation, getExecutionListeners, getName, getParentContainer, getSubProcess, setDocumentation, setExecutionListeners, setName, setParentContainer, setValues`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### skipExpression

    protected String skipExpression

- ## Constructor Details

  - ### ReceiveTask

    public ReceiveTask()

- ## Method Details

  - ### clone

    public ReceiveTask clone()
    Specified by:
      `clone` in class `FlowElement`

  - ### getSkipExpression

    public String getSkipExpression()

  - ### setSkipExpression

    public void setSkipExpression(String skipExpression)

  - ### setValues

    public void setValues(ReceiveTask otherElement)